<?php
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
    // Cabecera de página
    function Header()
    {

        // Arial Bold
        $this->SetFont('Arial', 'B', 16);

        // Título
        $this->Cell(70, 10, 'LISTA DE PRODUCTOS');
        // Salto de línea
        $this->Ln(16);
        // Colores 
        //$this->SetDrawColor(128,0,0);
        //$this->SetFillColor(128, 0, 0);
        //$this->SetTextColor(255, 255, 255);
        //$this->SetDrawColor(11, 63, 71);

        $this->Cell(7, 6, "ID", 1, 0, 'C');
        $this->Cell(86, 6, "Descripcion", 1, 0, 'C');
        $this->Cell(20, 6, "Precio", 1, 0, 'C');
        $this->Cell(16, 6, "Cant.", 1, 0, 'C');
        $this->Cell(30, 6, "Proveedor", 1, 0, 'C');
        $this->Cell(40, 6, "Fecha ingreso", 1, 0, 'C');
    }

    // Pie de página
    function Footer()
    {
        // Posición: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial', 'I', 8);
        // Número de página
        $this->Cell(0, 10, utf8_decode('Página') . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

require '../conexion.php';
$query = mysqli_query($conection, "SELECT p.idproducto,p.descripcion,p.precio,p.existencia,pr.proveedor,p.foto,
             p.date_add
             FROM producto p 
             INNER JOIN proveedor pr
             ON p.proveedor = pr.idproveedor                    
             WHERE p.estatus = 1 ORDER BY p.idproducto 
				");

$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 11);

while ($data = mysqli_fetch_array($query)) {
    $formato = 'Y-m-d H:i:s';
    $fecha = DateTime::createFromFormat($formato, $data["date_add"]);

    //$pdf->SetFillColor(11, 63, 71);
    //$pdf->SetDrawColor(11, 63, 71);
    //$pdf->SetTextColor(255, 255, 255);

    $pdf->Ln();
    $pdf->Cell(7, 5, $data['idproducto'], 1, 0, 'C');
    $pdf->Cell(86, 5, $data['descripcion'], 1, 0, 'C');
    $pdf->Cell(20, 5, '$/.' . $data['precio'], 1, 0, 'C');
    $pdf->Cell(16, 5, $data['existencia'], 1, 0, 'C');
    $pdf->Cell(30, 5, $data['proveedor'], 1, 0, 'C');
    $pdf->Cell(40, 5, $fecha->format('d-m-Y'), 1, 0, 'C');
}

$modo = "I";
$nombre_archivo = "Clientes" . ".pdf";
$pdf->Output($nombre_archivo, $modo);
